//
//  CommandLine.swift
//  swiftgraph
//
//  Created by Karl Traunmüller on 22.10.19.
//  Copyright © 2019 Runtastic. All rights reserved.
//

enum Flags: String, CaseIterable {
    case skipWeakReferences
    case skipConfigurationReferences
}

func printHelp() {
    let options = Flags.allCases.map({ "-" + $0.rawValue }).joined(separator: " ")
    print("usage: swiftgraph [\(options)] <source folder>")
}

func isFlagSet(_ flag: Flags, in arguments: [String]) -> Bool {
    return arguments.firstIndex(of: "-" + flag.rawValue) != nil
}
