//
//  DotWriterTests.swift
//  UnitTests
//
//  Created by Karl Traunmüller on 15.10.19.
//  Copyright © 2019 Runtastic. All rights reserved.
//

import XCTest

@testable import SwiftGraphFramework

final class DotWriterTests: XCTestCase {
    
    func testSimpleGraph() throws {
        let dependencyInfo = Samples.dependencyInfoFromTestResources
        let edges = makeDependencyGraph(dependencyInfo: dependencyInfo)
        
        let dot = makeDot(dependencyInfo: dependencyInfo, edges: edges)
        XCTAssertEqual(dot,
            """
            digraph {
              // configurations
              ApplicationSettings[shape=box]
              Environment[shape=box]
              Rose[shape=box]
              ServiceRegion[shape=box]
              // components
              AppManager[fillcolor=lightyellow,style=filled]
              GoalsModule[fillcolor=lightyellow,style=filled]
              RTFrameworkManager[fillcolor=lightyellow,style=filled]
              SyncManager[fillcolor=lightyellow,style=filled]
              // edges
              AppManager -> ApplicationSettings[style=dotted]
              AppManager -> Environment[style=dotted]
              AppManager -> GoalsModule
              AppManager -> RTFrameworkManager
              AppManager -> Rose[style=dotted]
              AppManager -> SyncManager[style=dashed]
              ApplicationSettings -> AppManager[color=red,style=bold]
              ApplicationSettings -> Environment[style=dotted]
              ApplicationSettings -> ServiceRegion[style=dotted]
            }
            """)
    }
}
