//
//  GraphBuilderTests.swift
//  UnitTests
//
//  Created by Karl Traunmüller on 15.10.19.
//  Copyright © 2019 Runtastic. All rights reserved.
//

import XCTest

@testable import SwiftGraphFramework

final class GraphBuilderTests: XCTestCase {
    
    func testSimpleGraph() throws {
        let dependencyInfo = Samples.dependencyInfoFromTestResources
        
        let edges = makeDependencyGraph(dependencyInfo: dependencyInfo)
        XCTAssert(edges.contains(DependencyGraphEdge(fromTypeName: "AppManager", toTypeName: "Rose", kind: .configurationReference)))
        XCTAssert(edges.contains(DependencyGraphEdge(fromTypeName: "AppManager", toTypeName: "ApplicationSettings", kind: .configurationReference)))
        XCTAssert(edges.contains(DependencyGraphEdge(fromTypeName: "AppManager", toTypeName: "GoalsModule", kind: .strongComponentReference)))
        XCTAssert(edges.contains(DependencyGraphEdge(fromTypeName: "AppManager", toTypeName: "SyncManager", kind: .weakComponentReference)))
        XCTAssert(edges.contains(DependencyGraphEdge(fromTypeName: "ApplicationSettings", toTypeName: "AppManager", kind: .ruleViolation)))
        XCTAssert(edges.contains(DependencyGraphEdge(fromTypeName: "ApplicationSettings", toTypeName: "Environment", kind: .configurationReference)))
        XCTAssert(edges.contains(DependencyGraphEdge(fromTypeName: "ApplicationSettings", toTypeName: "ServiceRegion", kind: .configurationReference)))
    }
}
