//
//  Samples.swift
//  UnitTests
//
//  Created by Karl Traunmüller on 15.10.19.
//  Copyright © 2019 Runtastic. All rights reserved.
//

import Foundation

@testable import SwiftGraphFramework

final class Samples {
    
    // scan files once and cache the result (DependencyInfo is immutable, so cannot be modified by tests)
    static let dependencyInfoFromTestResources: DependencyInfo = {
        do {
            guard let fileUrl = locateTestResource(resource: "AppManager", extension: "swift", subdirectory: "TestResources") else {
                fatalError("Could not locate test resource, something's wrong")
            }
            let folderUrl = fileUrl.deletingLastPathComponent()
            let scanner = AnnotationScanner()
            guard let dependencyInfo = try scanner.scanFolder(at: folderUrl.path) else {
                fatalError("Could not scan test files, something's wrong")
            }
            return dependencyInfo
        } catch { }
        fatalError("Could not build sample dependency info, something's wrong")
    }()
}
