//
//  TestUtils.swift
//  UnitTests
//
//  Created by Karl Traunmüller on 15.10.19.
//  Copyright © 2019 Runtastic. All rights reserved.
//

import Foundation

private final class BundleMarker {
}

func loadSample(named basename: String, fileExtension: String = "swift", subdirectory: String = "TestResources") -> (url: URL, contents: String)? {
    guard let url = locateTestResource(resource: basename, extension: fileExtension, subdirectory: subdirectory),
        let contents = try? String(contentsOf: url) else {
            return nil
    }
    return (url, contents)
}

func locateTestResource(resource: String, extension ext: String, subdirectory: String?) -> URL? {
    let url = URL(fileURLWithPath: #file)
    let testsRootUrl = url.deletingLastPathComponent().deletingLastPathComponent().deletingLastPathComponent() // up to "Tests" folder
    let resourceUrl = testsRootUrl.appendingPathComponent(subdirectory ?? "").appendingPathComponent(resource).appendingPathExtension(ext)
    return resourceUrl
}
